%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticdevelname %mklibname %{name} -d -s

Summary:	Library to support Bi-directional scripts
Name:		fribidi
Version:	0.19.6
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Source: 	http://fribidi.org/download/fribidi-%{version}.tar.xz
Patch0:		fribidi-0.19.1-fix-str-fmt.patch
URL:		http://fribidi.org
BuildRequires: %{_lib}glib2.0_0-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package -n %{libname}
Summary:	Library to support Bi-directional scripts
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n %{libname}
A library to handle bidirectional scripts (eg hebrew, arabic), so that
the display is done in the proper way; while the text data itself is
always written in logical order.
The library uses unicode internally.

%package -n %{develname}
Summary:	Libraries and headers for development with %{name}
Group:		Development/Libraries
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d

%description -n %{develname}
This package includes the libraries and header files for the %{name}
package.

Install this package if you want to develop or compile programs which
will use %{name}.

%package -n %{staticdevelname}
Summary:	Static development files for %{name}
Group:		Development/Libraries
Provides:	lib%{name}-static-devel = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d -s

%description -n %{staticdevelname}
Static development files for %{name}.

%prep
%setup -q

%patch0 -p0

%build
 
%configure2_5x --enable-static

%make


%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO THANKS NEWS
%{_bindir}/fribidi

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%_mandir/man3/*

%files -n %{staticdevelname}
%defattr(-, root, root)
%{_libdir}/*.a


%changelog
* Wed Jan 29 2014 bb <bb> 0.19.6-1pclos2014
- update for e18

* Sat Mar 27 2009 Texstar <texstar@gmail.com> 0.19.1-1pclos2007
- 0.19.1
